.chat {
  background-color: black;
  margin: 20px;
  color: white;
  display: flex;
  border-radius: 5px;
  border: solid 1px grey;
  height: 100vh;
  position: relative;
  span {
    color: white;
  }
  Button {
    color: white;
  }
  .chat-left {
    width: 349px;
    border-right: solid 1px grey;
    .left-header {
      text-align: center;
      height: 60px;
      padding: 0px 20px;
      border-bottom: solid 1px grey;
    }
  }

  .chat-right {
    width: 583px;
    .right-header {
      height: 60px;
      border-bottom: solid 1px grey;
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 0px 20px;
      .header-user {
        display: flex;
        align-items: center;
        img {
          border-radius: 50%;
          height: 24px;
          margin: 8px;
        }
        span {
          font-weight: 500;
          font-size: 1rem;
        }
      }
      .header-icon {
        display: flex;
        align-items: center;
        img {
          padding: 8px;
        }
      }
    }
    .chatBox {
      .chatBoxWrapper {
        display: flex;
        flex-direction: column;
        padding: 10px;
        position: relative;
        .chatBoxTop {
          height: 710px;
          margin-bottom: 20px;
          overflow-y: scroll;
          &::-webkit-scrollbar {
            background-color: #7a7979c7;
          }
          &::-webkit-scrollbar-thumb {
            background-color: rgb(160, 157, 157);
          }
          &::-webkit-scrollbar-button {
            background-color: rgb(160, 157, 157);
          }
        }
        .noConversationText {
          font-size: 3rem;
          font-weight: 500;
          color: rgba(128, 128, 128, 0.623);
          align-items: center;
          text-align: center;
          margin-top: 100px;
        }
        .chatBoxBottom {
          margin-top: 5px;
          display: flex;
          align-items: center;
          justify-content: space-between;
          .chatMessage {
            width: 80%;
            height: 90px;
            padding: 10px;
            outline: none;
          }
          .chatSubmitBtn {
            width: 70px;
            height: 40px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            background-color: #0095f6;
            color: white;
          }
        }
      }
    }

    // .rep-chat {
    //   padding: 0 8px 0 11px;
    //   height: 44px;
    //   border: solid 1px grey;
    //   border-radius: 20px;
    //   display: flex;
    //   align-items: center;

    //   input {
    //     background-color: transparent;
    //     color: white;
    //     border: none;
    //     width: 400px;
    //     outline: none;
    //     // outline: none;
    //     &:placeholder-shown {
    //       color: rgb(231, 207, 207);
    //     }
    //   }
    //   img {
    //     padding: 8px;
    //   }
    // }
  }
}
